Public MustInherit Class ConfigurationManager

    Public ReadOnly Property Configuration As SimpleConfiguration

    Friend Sub SetConfiguration(configuration As SimpleConfiguration)
        _Configuration = configuration
    End Sub

End Class
